window.Gleam.initSearch([{"doc":"rsa_keys","title":"rsa_keys","content":"# rsa_keys\n\n[![Package Version](https://img.shields.io/hexpm/v/rsa_keys)](https://hex.pm/packages/rsa_keys)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/rsa_keys/)\n\nA small library to help with RSA keys.\n\n## installation\n\n```sh\ngleam add rsa_keys\n```\n\n## example usage\n\n```gleam\nimport rsa_keys\n\npub fn main() {\n  \n  let #(pubkey, prvtkey) = rsa_keys.generate_rsa_keys()\n\n  let result = {\n    use signature &lt;- result.try(rsa_keys.sign_message(&quot;ola mundo&quot;, prvtkey))\n    rsa_keys.verify_message(\n      message: &quot;ola mundo&quot;,\n      pubkey: pubkey,\n      sign: signature,\n    )\n  }\n  \n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/rsa_keys&gt;.\n\nMany thanks to the discord user julian.nz in the gleam discord server for the help with the erlang ffi\n","url":"index.html"},{"doc":"rsa_keys","title":"generate_rsa_keys","content":"pub fn generate_rsa_keys() -&gt; #(String, String)\n Generate public and private RSA key pairs\n the returned strings are PEM formated\nSynonyms:\nrsa_keys.generate_rsa_keys\nrsa_keys generate_rsa_keys","url":"rsa_keys.html#generate_rsa_keys"},{"doc":"rsa_keys","title":"sign_message","content":"pub fn sign_message(\n  message msg: String,\n  prvtkey privatekey: String,\n) -&gt; Result(String, String)\n hash a message using sha256 and sign it using a pem encoded private key\nSynonyms:\nrsa_keys.sign_message\nrsa_keys sign_message","url":"rsa_keys.html#sign_message"},{"doc":"rsa_keys","title":"verify_message","content":"pub fn verify_message(\n  message msg: String,\n  pubkey public_key: String,\n  sign signature: String,\n) -&gt; Result(String, String)\n verify a message against its sha256 hash and signature using a pem encoded public key\nSynonyms:\nrsa_keys.verify_message\nrsa_keys verify_message","url":"rsa_keys.html#verify_message"},{"doc":"rsa_keys","title":"rsa_keys","content":" Simple and easy set of functions to generate rsa keys, sign a message and verify it, targeting erlang.\n funções simples e fáceis para gerar chaves rsa, assinar uma mensagem e verificála, usando erlang.","url":"rsa_keys.html"}]);